import sys
sys.path.append(RPR_GetResourcePath() + r"/UserPlugins")
from RIGDOCKS_python import *
from AZSTOKE_BRONZE_python import *
from AZSTOKE_SILVER_python import *
    
def replaceFoot(originTrackID, sourceFolderPath):

    # 1 GetOriginMediaPos
    count = AZ_GetTrackMediaTypeCount(0, originTrackID, 'wav', 0, 0)[3]
    
    mediaList = []
    for i in range(count):
        mediaList.append(
            {
                'Name' : AZ_GetTrackMediaName(0, originTrackID, i, "", 1024)[3],
                'StartPos' : AZ_GetTrackMediaStartTimeSeconds(0, originTrackID, i, 0)[3]
            }
        )
    
    # 2 CreateTrack
    parentTrack = RPR_GetParentTrack(AZ_GetTrackItemSelect(0, originTrackID,0))
    replaceTrack = AZ_InsertChildTrack(parentTrack, 0)[0]
    
    replaceTrackName = AZ_GetPathInfo(sourceFolderPath)['FileName']
    AZ_SetTrackItemName(replaceTrack, replaceTrackName)
    
    
    # 3 InsertReplaceAudio
    originTrackName = AZ_GetTrackIdName(0, originTrackID, "", 1024)[2]
    
    for media in mediaList:
        sourceName = AZ_ReplaceSearchString(media['Name'], originTrackName, replaceTrackName, "", 1024)[3]
        path = sourceFolderPath + '\\' + sourceName + ".wav"
        
        AZ_InsertMediaTrackItemSecond(replaceTrack, path, 0, media['StartPos'])
        

def main():

  originTrack = AZ_GetTrackItemSelect(0,0,1)
  originTrackName = AZ_GetTrackItemName(originTrack, "", 1024)[1]
  originTrackId = AZ_GetTrackItemIndex(originTrack)
  
  rootPath = ""
  retval,inputList = AZ_GetUserInputList("SourceImportPath",1,"rootPath :",rootPath)
  if not retval:
    return
    
  rootPath = inputList[0]
  
  footList = ["armor", "barefoot", "boot", "boot_snow", "boot_water", "heel", "sneaker"]
  
  for foot in footList:
      if foot != originTrackName:
        replaceFoot(originTrackId, rootPath + "\\" + foot)
    
    
main()
    
